<template>
  <button class="base-button" :type="type" @click="$emit('click')">
    <span class="base-button__color-decoration"></span>
    <span class="base-button__label" v-if="label">{{ label }}</span>
    <span class="base-button__label" v-html="html" v-else></span>
  </button>
</template>

<script>
export default {
  name: 'Button',
  props: {
    type: {
      type: String,
      validator: function (value) {
        return ['button', 'submit'].indexOf(value) !== -1
      },
      default: 'button'
    },
    label: {
      type: String
    },
    html: {
      type: String
    }
  }
}
</script>
